# Interface MenuButtonComponentDependencies

interface MenuButtonComponentDependencies {
componentOptions: MenuButtonComponentOptions;
name: string;
type?: string;
}

#### Hierarchy (view full)

- UiComponentDependencies
  - MenuButtonComponentDependencies

#####
Index

### Properties

componentOptions
name
type?

## Properties

### componentOptions

componentOptions: MenuButtonComponentOptions

Overrides UiComponentDependencies.componentOptions

### name

name: string

Inherited from UiComponentDependencies.name

### `Optional` type

type?: string

Inherited from UiComponentDependencies.type